MultiObjectDeleteException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a.impl, class: MultiObjectDeleteException

Package org.apache.hadoop.fs.s3a.impl

# Class MultiObjectDeleteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
software.amazon.awssdk.core.exception.SdkException
software.amazon.awssdk.core.exception.SdkServiceException
software.amazon.awssdk.awscore.exception.AwsServiceException
software.amazon.awssdk.services.s3.model.S3Exception
org.apache.hadoop.fs.s3a.impl.MultiObjectDeleteException

All Implemented Interfaces:
  `Serializable`, `software.amazon.awssdk.core.SdkPojo`

@Public @Unstable public class MultiObjectDeleteException extends software.amazon.awssdk.services.s3.model.S3Exception
Exception raised in `S3AFileSystem.deleteObjects(software.amazon.awssdk.services.s3.model.DeleteObjectsRequest)` when one or more of the keys could not be deleted. Used to reproduce the behaviour of SDK v1 for partial failures on DeleteObjects. In SDK v2, the errors are returned as part of the response objects.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class software.amazon.awssdk.services.s3.model.S3Exception

  `software.amazon.awssdk.services.s3.model.S3Exception.Builder, software.amazon.awssdk.services.s3.model.S3Exception.BuilderImpl`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_DENIED`
  This is the exception exit code if access was denied on a delete.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiObjectDeleteException(List<software.amazon.awssdk.services.s3.model.S3Error> errors)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<software.amazon.awssdk.services.s3.model.S3Error>`
  `errors()`
  `static String`
  `errorToString(software.amazon.awssdk.services.s3.model.S3Error error)`
  Convert an error to a string.
  `IOException`
  `translateException(String message)`
  A `MultiObjectDeleteException` is raised if one or more paths listed in a bulk DELETE operation failed.

  ### Methods inherited from class software.amazon.awssdk.services.s3.model.S3Exception

  `builder, serializableBuilderClass, toBuilder`

  ### Methods inherited from class software.amazon.awssdk.awscore.exception.AwsServiceException

  `awsErrorDetails, getMessage, isClockSkewException, isThrottlingException`

  ### Methods inherited from class software.amazon.awssdk.core.exception.SdkServiceException

  `extendedRequestId, isRetryableException, requestId, sdkFields, statusCode`

  ### Methods inherited from class software.amazon.awssdk.core.exception.SdkException

  `create, numAttempts, rawMessage, retryable`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface software.amazon.awssdk.core.SdkPojo

  `equalsBySdkFields, sdkFieldNameToField`

- ## Field Details

  - ### ACCESS_DENIED

    public static final String ACCESS_DENIED
    This is the exception exit code if access was denied on a delete. "AccessDenied".
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MultiObjectDeleteException

    public MultiObjectDeleteException(List<software.amazon.awssdk.services.s3.model.S3Error> errors)

- ## Method Details

  - ### errors

    public List<software.amazon.awssdk.services.s3.model.S3Error> errors()

  - ### translateException

    public IOException translateException(String message)
    A `MultiObjectDeleteException` is raised if one or more paths listed in a bulk DELETE operation failed. The top-level exception is therefore just "something wasn't deleted", but doesn't include the what or the why. This translation will extract an AccessDeniedException if that's one of the causes, otherwise grabs the status code and uses it in the returned exception.
    Parameters:
      `message` - text for the exception
    Returns:
      an IOE with more detail.

  - ### errorToString

    public static String errorToString(software.amazon.awssdk.services.s3.model.S3Error error)
    Convert an error to a string.
    Parameters:
      `error` - error from a delete request
    Returns:
      string value